//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------
	
    /*
	*******************************************************************
	All examples in this support document are only intended
	to improve understanding of the functionality and 
	handling of the equipment. 
	Beijer Electronics AB cannot assume any liability if these
	examples are used in real applications.
	In view of the wide range of applications for this 
	equipment, users must acquire sufficient knowledge 
	themselves in order to ensure that it is correctly used in 
	their specific application. Persons responsible for the 
	application and the equipment must themselves 
	ensure that each application is in compliance with all 
	relevant requirements, standards and legislation in 
	respect to configuration and safety.
	Beijer Electronics AB will accept no liability for any 
	damage incurred during the installation or use of this 
	equipment.
	Beijer Electronics AB prohibits all modification, changes
	or conversion of the equipment.
	*******************************************************************
	*/


namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
	using System.IO;
	using System.Diagnostics;

	public partial class Screen1
	{
		/// <summary>
		/// This is a string to hold the path and file name of
		/// the exported data.
		/// </summary>
		private string m_csvFileName = "";
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			// Disable the button so the user doesn't click twice if the 
			// operation takes time.
			Button1.IsEnabled = false;
			
			// Excecute the export table operation in the script module
			// and save the path and file name in the member variable.
			m_csvFileName = Globals.ExportTrendData.ExportTableToCSV("TrendDatalogger1");
			
			// Check that the operation returned a string, and that it is a 
			// valid path.
			if(!string.IsNullOrEmpty(m_csvFileName) && File.Exists(m_csvFileName))
			{
				// Show the button for loading the saved data to a ListBox.
				Button2.Visible = true;	
			}
			
			// Enable the export button again.
			Button1.IsEnabled = true;
		}
		
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			// Check that the member variable contains a string, and that it is a 
			// valid path.
			if(!string.IsNullOrEmpty(m_csvFileName) && File.Exists(m_csvFileName))
			{
				// Clear the ListBox of items.
				ListBox1.Items.Clear();
				
				// Open the file and use a StreamReader to read the content.
				using (StreamReader csvFile = File.OpenText(m_csvFileName))
				{
					// Read the first line.
					string readLine = csvFile.ReadLine();
					// Loop until the readLine string doesn't contain any text.
					while(!string.IsNullOrEmpty(readLine))
					{
						// Add the line of text to the ListBox.
						ListBox1.Items.Add(readLine);
						// Read another line
						readLine = csvFile.ReadLine();
					}
					// Close the StreamReader.
					csvFile.Close();
				}
			}
		}
		
	}
}
